Package fr.gouv.vitam.common.utils

# Enum Class SupportedSedaVersions

java.lang.Object
java.lang.Enum<SupportedSedaVersions>
fr.gouv.vitam.common.utils.SupportedSedaVersions

All Implemented Interfaces:
  `Serializable`, `Comparable<SupportedSedaVersions>`, `Constable`

public enum SupportedSedaVersions extends Enum<SupportedSedaVersions>
Here we declare all SEDA versions supported by Vitam with their XSD Validators to use later for Generating ATR, DIP and TRANSFER.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SEDA_2_1`
  `SEDA_2_2`
  `SEDA_2_3`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `GENERIC_VITAM_VALIDATOR`
  `static final String`
  `UNIFIED_NAMESPACE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getNamespaceURI()`
  `String`
  `getSedaValidatorXSD()`
  `static Optional<SupportedSedaVersions>`
  `getSupportedSedaVersionByVersion(String sedaVersion)`
  `static Optional<SupportedSedaVersions>`
  `getSupportedSedaVersionByXmlNamespace(String xmlNamespace)`
  `String`
  `getVersion()`
  `String`
  `getVitamValidatorXSD()`
  `static boolean`
  `isSedaVersionsCompatible(String metadataSedaVersion, String sedaVersionToExport)`
  `static boolean`
  `isSedaVersionValid(String sedaVersion)`
  `static SupportedSedaVersions`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SupportedSedaVersions[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SEDA_2_1

    public static final SupportedSedaVersions SEDA_2_1

  - ### SEDA_2_2

    public static final SupportedSedaVersions SEDA_2_2

  - ### SEDA_2_3

    public static final SupportedSedaVersions SEDA_2_3

- ## Field Details

  - ### UNIFIED_NAMESPACE

    public static final String UNIFIED_NAMESPACE
    See Also:
      - Constant Field Values

  - ### GENERIC_VITAM_VALIDATOR

    public static final String GENERIC_VITAM_VALIDATOR
    See Also:
      - Constant Field Values

- ## Method Details

  - ### values

    public static SupportedSedaVersions[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SupportedSedaVersions valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getVersion

    public String getVersion()

  - ### getSedaValidatorXSD

    public String getSedaValidatorXSD()

  - ### getNamespaceURI

    public String getNamespaceURI()

  - ### getVitamValidatorXSD

    public String getVitamValidatorXSD()

  - ### isSedaVersionValid

    public static boolean isSedaVersionValid(String sedaVersion)

  - ### getSupportedSedaVersionByVersion

    public static Optional<SupportedSedaVersions> getSupportedSedaVersionByVersion(String sedaVersion)

  - ### getSupportedSedaVersionByXmlNamespace

    public static Optional<SupportedSedaVersions> getSupportedSedaVersionByXmlNamespace(String xmlNamespace)

  - ### isSedaVersionsCompatible

    public static boolean isSedaVersionsCompatible(String metadataSedaVersion, String sedaVersionToExport)